[www]
user = www-data
group = www-data

listen = /run/php/php8.3-fpm.sock
listen.owner = www-data
listen.group = www-data
listen.mode = 0660

; Pool process management
pm = dynamic
pm.max_children = 25
pm.start_servers = 5
pm.min_spare_servers = 3
pm.max_spare_servers = 10
pm.max_requests = 300
pm.status_path = /status


; Logging
access.log = /proc/self/fd/1
slowlog = /proc/self/fd/2
request_slowlog_timeout = 5s

; Desactivar la visualización de errores al usuario
php_admin_flag[display_errors] = off
php_admin_flag[display_startup_errors] = off

; Registrar errores en el log
php_admin_flag[log_errors] = on

; Registrar todos los errores, incluyendo warnings y notices
php_admin_value[error_reporting] = E_ALL

; (Opcional) Especificar el archivo de log de errores de PHP
; Usa esto si no quieres que se mezclen con los del servidor web
php_admin_value[error_log] = /var/log/php8.3-fpm-error.log
